import type { CollectionTabPluginMetadata } from '@mongodb-js/compass-collection';
import type { DataService } from './stores/store';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import type { PreferencesAccess } from 'compass-preferences-model/provider';
export declare const CompassSchemaHadronPlugin: import("hadron-app-registry").HadronPluginComponent<Pick<CollectionTabPluginMetadata, "namespace">, {
    dataService: () => DataService;
    loggerAndTelemetry: () => LoggerAndTelemetry;
    preferences: () => PreferencesAccess;
}>;
export declare const CompassSchemaPlugin: {
    name: string;
    component: import("hadron-app-registry").HadronPluginComponent<Pick<CollectionTabPluginMetadata, "namespace">, {
        dataService: () => DataService;
        loggerAndTelemetry: () => LoggerAndTelemetry;
        preferences: () => PreferencesAccess;
    }>;
};
//# sourceMappingURL=index.d.ts.map