export default MiniChart;
declare class MiniChart extends React.PureComponent<any, any, any> {
    static displayName: string;
    static propTypes: {
        fieldName: PropTypes.Validator<string>;
        fieldValue: PropTypes.Requireable<any>;
        actions: PropTypes.Validator<object>;
        type: PropTypes.Validator<object>;
        nestedDocType: PropTypes.Requireable<object>;
        onQueryChanged: PropTypes.Validator<(...args: any[]) => any>;
    };
    constructor(props: any);
    state: {
        containerWidth: null;
    };
    resizeListener: () => void;
    componentDidMount(): void;
    unsubscribeMiniChartResize: any;
    componentWillUnmount(): void;
    handleResize(): void;
    minichartFactory(): JSX.Element | null;
    render(): JSX.Element;
    _mc: HTMLDivElement | null | undefined;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=minichart.d.ts.map